> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a metric alert

> Send a metric out of range alert for a monitored model. Required Permissions: `ViewMonitoringResults`



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml post /api/metricAlerts/v1
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/metricAlerts/v1:
    post:
      tags:
        - CustomMetrics
      summary: Send a metric alert
      description: >-
        Send a metric out of range alert for a monitored model. Required
        Permissions: `ViewMonitoringResults`
      operationId: sendMetricAlert
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MetricAlertRequestV1'
        description: Details about the metric alert to send
        required: true
      responses:
        '200':
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    MetricAlertRequestV1:
      properties:
        description:
          description: Optional text to append to the metric alert message
          type: string
        metric:
          description: Name of the metric to send alert for
          type: string
        modelMonitoringId:
          description: ID of the monitored model to send metric alerts for
          type: string
        targetRange:
          $ref: '#/components/schemas/TargetRangeV1'
        value:
          description: Value of the metric
          type: number
      required:
        - modelMonitoringId
        - metric
        - value
        - targetRange
      type: object
    TargetRangeV1:
      properties:
        condition:
          description: Condition to evaluate metric value against upperLimit/lowerLimit
          enum:
            - lessThan
            - lessThanEqual
            - greaterThan
            - greaterThanEqual
            - between
          type: string
        lowerLimit:
          description: >-
            Lower limit in the target range for a metric; lowerLimit,
            upperLimit, or both must be provided
          type: number
        upperLimit:
          description: >-
            Upper limit in the target range for a metric; lowerLimit,
            upperLimit, or both must be provided
          type: number
      required:
        - condition
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````